System and Software Requirements

Schneider National uses the Schneider Logistics SUMIT©, a secured internet suite of applications.
 
  1. Browsers

  2. CrossRoads applications have been tested to work on the following browsers:
    • Internet Explorer 6.0 (running on Windows XP or Windows 2000)
    • Internet Explorer 7.0 (running on Windows XP)
    Other configurations may work, however they have not been tested extensively and are not supported. Updated versions of Internet Explorer may be downloaded from Microsoft's website.

    The following settings are recommended for Internet Explorer:

    1. The option setting "Check for newer versions of stored pages" should be set to "Every time you start Internet Explorer". After making this selection, click "OK". You can view your current settings by clicking on the top menu Tools - Internet Options - General using the Settings button under the section Temporary Internet Files.
    2. The option setting "Show friendly HTTP error messages" on the Internet Explorer Browser needs to be unchecked. You can view your current settings by clicking on the top menu Tools - Internet Options - Advanced under the Browsing section.
  3. Browser Cookie and JavaScript Requirements
  4. We require that you enable Cookie and JavaScript functionalities.

  5. ActiveX or Java Requirements
  6. In order to assess the security posture of your PC, several components need to be installed on your machine.  These can be installed by one of the following options:
     
    Option Operating
    System
    Steps
    Enable ActiveX installations Windows XP, Service Pack 2
    (see graphic)
    While in Internet Explorer:
    • SelectTools, Internet Options
    • Select the Security tab
    • Ensure Internet is highlighted and click on Custom Level
    • For the “Automatic Prompting for ActiveX controls” option, change the setting from Disable to Enable.
    • After you have successfully connected, change this option back to Disable
    Changing these options will allow you to be prompted when the ActiveX control tries to install.
    Windows XP (earlier than Service Pack 2) You should be automatically prompted to install the ActiveX control.
    Windows 2000 You should be automatically prompted to install the ActiveX control.
    Install a Java Runtime Environment Windows XP or Windows 2000 You can install the most recent verion of Sun's Java Runtime Environment by visiting Sun's website
    Manual Installation Windows XP or Windows 2000 You can manually install the Host Checker component by visiting this page.
     

  7. System Requirements
  8. Beyond the browser settings above, the CrossRoads suite of Internet Applications may require the following components:
     
    Microsoft XML Updates - In order to use Schneider Online Xpress, Windows machines must be running the following two patches:
        Required Patch:
    1. MSXML 4.0 SP2
        Required Patch, download one of the following:
    1. MSXML Hotfix 887606 English Version
    2. MSXML Hotfix 887606 Spanish Version
    Java Runtime Environment - Machines should be running a Java virtual machine ("JVM"). Sun JVM 1.4.1_01 or higher is supported. Current versions of Sun's JVM may be downloaded from Sun's website.
     
    Microsoft Updates - It is also recommended that a machine be running the most recent patches from Microsoft. These patches can be applied by visiting: http://update.microsoft.com Microsoft releases patches on the second Tuesday of each month, so this site should be re-visited periodically.
     
    Antivirus Software - Schneider does not require, but highly recommends, the use of antivirus and anti-spyware software. If you have antivirus or anti-spyware software installed, make sure that it is up-to-date. Virus and spyware signatures are released daily and your protection is often inadequate if your software is not up-to-date.
     
    Please check to ensure your PC meets these system requirements. Schneider cannot be responsible for issues dealing with the configuration of a user's workstation.

  9. Security Requirements
  10. To ensure that your data is secure, Schneider recommends that all CrossRoads users connect to our secure web server with browsers supporting 128 bit encryption. For optimal security, your browser should be configured to use SSL version 3.0. (SSL version 2.0 is no longer supported). To check proper encryption, you should review your browser software's specifications or consult the browser software manufacturer regarding the security features provided with the software.

  11. Dial-in / Network Requirements
  12. Users connecting over dial-up are subject to inherent performance problems. In order to minimize the impact of this, certain performance enhancements have been enlisted on CrossRoads. These enhancements will not eliminate all performance issues.
     
    To ensure proper performance, we recommend initial connections to CrossRoads occur over a high-speed network. Connections via dial-up may work, but have been known to cause problems.
If you have questions regarding the above requirements, please contact your technical support.